<h3 class="tab-content-title"><?php esc_html_e( 'WP Radio Ads Player - Addon', 'wp-radio' ); ?></h3>

<div class="tab-content-section">
    <div class="addon-banner">
        <img src="<?php echo WP_RADIO_ASSETS . '/images/addons/wp-radio-ads-player-banner.png' ?>"
             alt="wp-radio-ads-player-addon">
        <span class="img-caption"><?php _e( 'WP Radio Ads Player Addon', 'wp-radio' ); ?></span>
    </div>

    <div class="addon-desc">
        <p><?php esc_html_e( 'Monetize you radio website by playing custom audio advertisements.', 'wp-radio' ); ?></p>
        <p><?php esc_html_e( 'Custom Mic Drops, Stringers & Advertisements Player Addon for WP Radio.', 'wp-radio' ); ?></p>
    </div>

    <div class="addon-actions">
        <a href="<?php echo WP_RADIO_ADDONS; ?>"> 💻 <?php esc_html_e( 'Install Addon', 'wp-radio' ); ?> </a>
        <a style="margin-left: 10px" href="https://wpmilitary.com/wp-radio-ads-player" target="_blank">
            👉 <?php esc_html_e( 'More Details', 'wp-radio' ); ?></a>
    </div>

    <ul class="addon-features">
        <li><h3><?php esc_html_e( 'WP Radio Ads Player Features:', 'wp-radio' ); ?></h3></li>
        <li><?php _e( '☑ <b>Custom Audio Ads </b> - You can play any audio file or URL as ad at the start of any station play.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>Custom Ad Duration </b> - You can set the ad duration, how long the add will be played.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>Countries Filtering </b> - You can play any ad for a specific countries.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>Stations Filtering </b> - You can play any ad for a specific stations.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>Ad Stats Email Report </b> - Get weekly ad stats email report to the ad publisher email.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>Custom Play Rules </b> - You can play the ad for a specific times or for a specific date.', 'wp-radio' ); ?></li>
    </ul>
    <br>

    <div class="addon-features">

        <h3><?php esc_html_e('Description:', 'wp-radio'); ?></h3>
        <p><?php esc_html_e('WP Radio ads player lets you monetize your radio website by playing audio ads and you can also display any
            ads in the popup player.
            It let you play custom mic drops, stringer, and audio advertisements at the start of radio station play.', 'wp-radio'); ?></p>

        <p><?php esc_html_e('You can create and play unlimited ads and set them to be played by filtering specific counties or specific
            stations. You can also control how often the users will listen to the ads.', 'wp-radio'); ?></p>
    </div>
    <br>

    <div class="addon-features">

        <h3><?php esc_html_e('Video Overview:', 'wp-radio'); ?></h3>
        <iframe width="560" height="315" src="https://www.youtube.com/embed/YfOjHyoHG_Y" title="YouTube video player"
                frameborder="0"
                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen></iframe>
        <span style="width: 560px; margin-top: 15px"
              class="img-caption"><?php _e( 'WP Radio Ads Player Overview Video', 'wp-radio' ); ?></span>

    </div>

    <h3><a href="https://wpmilitary.com/wp-radio-ads-player" target="_blank" class="button-primary button-hero"><?php esc_html_e('Read More Details', 'wp-radio'); ?></a></h3>
</div>