<h3 class="tab-content-title"><?php 
_e( 'FAQ', 'wp-radio' );
?> - Frequently Asked Questions</h3>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'When I clicked play, there is no sound?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i></h4>
    <p><?php 
_e( 'Modern browsers no longer accepts mixed requests.
        Please check this link:
        <a href="https://web.dev/what-is-mixed-content">https://web.dev/what-is-mixed-content</a>.
        In case you have a HTTPS website you’ll need to use a HTTPS radio link.
        You can solve the problem by using the WP Radio Proxy Player Addon.', 'wp-radio' );
?>
    </p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'Station metadata (song title) not showing?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i>
    </h4>
    <p><?php 
_e( 'Most of the shared hosting server blocks some URL port. that\'s why if your site loaded on the shared hosting server then the stream metadata couldn\'t be loaded. 
            But, the issue can be fixed using the <b>WP Radio Proxy Player</b> Addon.', 'wp-radio' );
?>
        <br>
        <a href="<?php 
echo  WP_RADIO_ADDONS ;
?>"
           class="button-primary"><?php 
esc_html_e( 'GET WP Radio Proxy Player Addon', 'wp-radio' );
?></a>
    </p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'How can I play the HTTP radio stream link on my HTTPS website?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i>
    </h4>
    <p><?php 
_e( '
        You have to use the <b>WP Radio Proxy Player</b> addon to remove the browser mixed-content restrictions.
        That means you can play HTTP radio stream link on HTTPS website by using a cors-proxy system by using the <b>WP Radio Proxy Player</b> Addon.', 'wp-radio' );
?>
        <br>
        <a href="<?php 
echo  WP_RADIO_ADDONS ;
?>"
           class="button-primary"><?php 
esc_html_e( 'GET WP Radio Proxy Player Addon', 'wp-radio' );
?></a>
    </p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'Is this plugin is optimized to get the Google Adsense approval?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i>
    </h4>
    <p><?php 
_e( 'Yes, this plugin is strongly optimized for getting google adsense approval. Many WP Radio plugin users are displaying adsense ads on their website.
        Even the demo site <a href="https://webradiodirectory.com" target="_blank">https://webradiodirectory.com</a> got adsense approval and displaying adsense ads.', 'wp-radio' );
?>
    </p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"> <?php 
esc_html_e( 'Can I monetize my site by playing custom mic-drops, stinger and advertisements?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i></h4>
    <p>
		<?php 
esc_html_e( 'Yes, you can monetize your site using the <b><a href="<?php echo WP_RADIO_ADDONS; ?>">WP Radio Ads Player</a></b>
        addon. <br>
        WP Radio ads player lets you monetize your radio website by playing audio ads and you can also display any ads
        in the popup player.
        <br>
        <br>
        It let you play custom mic drops, stringer, and audio advertisements at the start of radio station play.
        <br>
        <br>
        You can create and play unlimited ads and set them to be played by filtering specific counties or specific
        stations. You can also control how often the users will listen to the ads.', 'wp-radio' );
?>

    </p>

</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'How can I display ads in the radio player?', 'wp-radio' );
?>
        <i
                class="dashicons dashicons-plus-alt"></i></h4>

    <p><?php 
_e( 'You need the <b><a href="<?php echo WP_RADIO_ADDONS; ?>"> WP Radio Ads Player</a></b> addon to display the banner
        ads below the popup player. <br>
        You have to set the player type to popup from the player settings and needs to enter the the ad codes in the ads
        settings.', 'wp-radio' );
?></p>

</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'How I enable comment on the station page?', 'wp-radio' );
?>
        <i
                class="dashicons dashicons-plus-alt"></i></h4>
    <p><?php 
_e( 'You have to install the <b>WP Radio User Frontend</b> addon to showing the comment form on the station page.
        After activating the WP Radio User Frontend addon you will get an option <b>Enable Comment</b> in the general
        settings. You need to enable the Enable Comment option', 'wp-radio' );
?></p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'How can I set the radio player fixed to the footer?', 'wp-radio' );
?>
        <i
                class="dashicons dashicons-plus-alt"></i>
    </h4>
    <p><?php 
esc_html_e( 'To set the radio player fixed to the footer you need to set the player type to Play on page from the
        Radio Station > Settings > Player settings > Player Type > Play on page', 'wp-radio' );
?></p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'Can I add my own or any new radio station to play?', 'wp-radio' );
?>
        <i
                class="dashicons dashicons-plus-alt"></i>
    </h4>
    <p><?php 
esc_html_e( 'Yes, You can add unlimited new radio station very easily.
        For adding a new radio station you need to click the Add New Station submenu under the Radio Stations main menu.', 'wp-radio' );
?></p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'Do the plugin has any refund policy for the PRO version?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i></h4>

    <p><?php 
esc_html_e( 'No, There is no refund policy available for the PRO version of this plugin.', 'wp-radio' );
?></p>
</div>

<div class="tab-content-section">
    <h4 class="tab-content-section-title"><?php 
esc_html_e( 'Do the plugin has any trial period for the PRO version?', 'wp-radio' );
?>
        <i class="dashicons dashicons-plus-alt"></i></h4>
    <p><?php 
esc_html_e( 'No, There is no trial period available for the PRO version of this plugin.', 'wp-radio' );
?></p>
</div>

<?php 
?>
    <div class="tab-content-section">
        <h4 class="tab-content-section-title"><?php 
esc_html_e( 'Can I buy the plugin directly from the author? ', 'wp-radio' );
?>
            <i class="dashicons dashicons-plus-alt"></i>
        </h4>

        <p><?php 
_e( 'Yes, you can buy the PRO version directly from us through PayPal payment and you will get 20% OFF, if you buy
            directly from us.
            <br>
            Email us to <a href="mailto:israilahmed5@gmail.com">israilahmed5@gmail.com</a> for buying the plugin
            directly.', 'wp-radio' );
?>
        </p>
    </div>
<?php 
?>

