<h3 class="tab-content-title"><?php esc_html_e( 'WP Radio User Frontend - Addon', 'wp-radio' ); ?></h3>

<div class="tab-content-section">
    <div class="addon-banner">
        <img src="<?php echo WP_RADIO_ASSETS . '/images/addons/user-frontend-banner.png' ?>"
             alt="wp-radio-user-frontend-addon">
        <span class="img-caption"><?php _e( 'WP Radio User Frontend Addon', 'wp-radio' ); ?></span>
    </div>

    <div class="addon-desc">
        <p><?php esc_html_e( 'Let engage users to your website by adding powerful features for the users such as adding a review, add to favourite, submit station.', 'wp-radio' ); ?></p>
    </div>

    <div class="addon-actions">
        <a href="<?php echo WP_RADIO_ADDONS; ?>"><?php esc_html_e( ' 💻 Install Addon / More Details', 'wp-radio' ); ?></a>
    </div>

    <ul class="addon-features">
        <li><h3><?php esc_html_e( 'WP Radio User Frontend Features:', 'wp-radio' ); ?></h3></li>
        <li><?php _e( '☑ <b>(User Account Page)</b> - Let the users to register, login, and customize their profile', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>(Rating and Reviews)</b> - Let the users to add rating and review for the stations', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>(Favorite Stations)</b> - Let the users to create their own favorite list of the station and able to add/ remove a station to the favorite list', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>(Station Submission)</b> - Let the users to request to add their own radio station to your website.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>(Report Submission)</b> - Let the users to report if any station doesn’t play.', 'wp-radio' ); ?></li>
        <li><?php _e( '☑ <b>([wp_radio_user_favorites])</b> - Use this shortcode to display the list of all the favorites stations of a user.', 'wp-radio' ); ?></li>
    </ul>
    <br>
    <ul class="addon-features">
        <li><h3><?php esc_html_e( 'WP Radio User Frontend - Addon - Setup', 'wp-radio' ); ?></h3></li>

        <li><?php esc_html_e( '☑ After activating the plugin two page will be created automatically. Those are:', 'wp-radio' ); ?></li>
        <li><?php _e( '<b>1. My Account</b> - That will be used for the user account page. Where users can view their recent favourite stations, and edit your password and account details. This page contains [wp_radio_my_account] shortcode. You can use this shortcode in any page for the user account page.', 'wp-radio' ); ?></li>
        <li><?php _e( '<b>2. Submit a Station</b> - That will be used for the user to request to add a radio station. This page contains [wp_radio_submit_station] shortcode. You can use this shortcode in any page for the station submission form.', 'wp-radio' ); ?></li>
        <li><?php esc_html_e( '☑ Review and Rating form will be displayed on every single station page. Where user can add their rating and review for the station.', 'wp-radio' ); ?></li>
        <li><?php esc_html_e( '☑ And new user role "Listener" will be created. New users who will be registered from My Account page they will assigned as listener.', 'wp-radio' ); ?></li>
        <li><?php esc_html_e( '☑ New Heart icon will be added in the radio player. Where users can add/remove any station to/from their list of the favourite stations.', 'wp-radio' ); ?></li>
        <li><?php esc_html_e( '☑ For Submitting a station, adding to favourite list & adding review, users must need to registered and logged.', 'wp-radio' ); ?></li>
    </ul>

</div>