<?php

defined( 'ABSPATH' ) || exit;
$selected = get_option( 'wp_radio_imported_countries' );
$selected = array_filter( (array) $selected );
?>

<div class="wrap wp-radio-import-page">

    <div class="page-heading">
        <h1 class="wp-heading-inline"><?php 
_e( 'Import Stations', 'wp-radio' );
?></h1>
    </div>

    <div class="import-instructions">
        <h4><?php 
_e( 'Import Instructions:', 'wp-radio' );
?></h4>
        <p><?php 
_e( '❈ Select the countries from the left country list, which you want to import.', 'wp-radio' );
?></p>
        <p><?php 
_e( '❈ After selecting any country, the country will move to the right box where all the imported countries will be listed.', 'wp-radio' );
?></p>
        <p><?php 
_e( '❈ If any error occurred during import, Please reload the page and try again with the previous selected countries.', 'wp-radio' );
?></p>

    </div>

    <div class="wp-radio-importer">
        <select multiple="multiple" id="import-country-select" name="import-country-select[]">
		    <?php 
$i = 0;
foreach ( wp_radio_country_station_map() as $key => $option ) {
    printf(
        '<option value="%1$s" data-country="%1$s" data-count="%2$s" %4$s %5$s>%3$s</option>',
        $key,
        $option['count'],
        $option['label'],
        ( in_array( $key, $selected ) ? 'selected' : '' ),
        ( !wr_fs()->can_use_premium_code__premium_only() ? ( $i < 30 ? '' : 'disabled' ) : '' )
    );
    $i++;
}
?>
        </select>

        <div class="import-actions">
            <a href="javascript:void(0)" class="run-import button button-primary button-hero" id="run-import">
                    <i class="dashicons dashicons-database-import"></i> <?php 
_e( 'Start Import', 'wp-radio' );
?>
                </a>
            </div>

        <div class="import-progress" id="import-progress">
            <div class="import-progress-content">
                <h3> <?php 
esc_html_e( 'Please wait, This may take several minutes.', 'wp-radio' );
?></h3>
                <div class="progress">
                    <div class="progress-bar progress-bar-striped progress-bar-animated" id="progress"
                         style="width:0.2%">
                    </div>
                </div>
                <div class="progress-status">
                    <span class="progress-percentage">0%</span>
                    <span class="progress-count">
                        <span class="progress-count-number">0</span>/
                        <span class="progress-count-all">0</span>
                    </span>

                    <div class="new-added"><strong><?php 
esc_html_e( 'New Added:', 'wp-radio' );
?></strong> <span class="new-added-count">0</span> <?php 
esc_html_e( 'Stations', 'wp-radio' );
?></div>
                    <span class="updated"><strong><?php 
esc_html_e( 'Updated:', 'wp-radio' );
?></strong> <span class="updated-count">0</span> <?php 
esc_html_e( 'Stations', 'wp-radio' );
?></span>
                </div>
                <div class="progress-actions">

                    <a href="<?php 
echo  admin_url( 'edit.php?post_type=wp_radio' ) ;
?>"
                       class="button button-primary"
                       id="import-done"><?php 
_e( 'See all Stations', 'wp-radio' );
?></a>

                    <a href="<?php 
echo  admin_url( 'edit.php?post_type=wp_radio&page=import-stations' ) ;
?>"
                       class="button button-secondary"
                       id="import-more"><?php 
_e( 'Import More', 'wp-radio' );
?></a>

                    <a href="<?php 
echo  admin_url( 'edit.php?post_type=wp_radio&page=import-stations' ) ;
?>"
                       class="button button-large button-link-delete" id="cancel-import"><?php 
esc_html_e( 'Cancel Import', 'wp-radio' );
?></a>

                </div>
            </div>
        </div>

    </div>

	<?php 
include WP_RADIO_INCLUDES . '/admin/views/promo.php';
?>

</div>
