<?php

global $post_id, $post;

$stream_url = wp_radio_get_meta( $post_id, 'stream_url' );
$slogan     = wp_radio_get_meta( $post_id, 'slogan' );
$logo       = wp_radio_get_meta( $post_id, 'logo' );
$featured   = wp_radio_get_meta( $post_id, 'featured' );
$popup      = wp_radio_get_meta( $post_id, 'popup' );

$website   = wp_radio_get_meta( $post_id, 'website' );
$facebook  = wp_radio_get_meta( $post_id, 'facebook' );
$twitter   = wp_radio_get_meta( $post_id, 'twitter' );
$wikipedia = wp_radio_get_meta( $post_id, 'wikipedia' );

$address = wp_radio_get_meta( $post_id, 'address' );
$email   = wp_radio_get_meta( $post_id, 'email' );
$phone   = wp_radio_get_meta( $post_id, 'phone' );

?>

<!--------------- General -------------->
<table class="form-table">

    <thead>
    <tr>
        <th><?php esc_html_e( 'General', 'wp-radio' ); ?></th>
    </tr>
    </thead>

    <tbody>

    <!-- stream URL-->
    <tr>
        <th scope="row">
            <label for="stream_url"><?php esc_html_e( 'Stream URL :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="stream_url" type="text" id="stream_url" value="<?php echo esc_url( $stream_url ); ?>"
                   class="regular-text ltr">
            <p class="description"><?php esc_html_e( 'Enter the playable live stream URL of the radio station. <b>(Not the shoutcast/icecast page link.)', 'wp-radio' ); ?></b></p>

            <p>
                <b><?php esc_html_e( 'For example:', 'wp-radio' ); ?></b> <?php esc_html_e( 'Use', 'wp-radio' ); ?> <a
                        href="https://i4.streams.ovh:8352/stream" target="_blank">https://i4.streams.ovh:8352/stream</a>
                <br>
                (<?php esc_html_e( 'Not:', 'wp-radio' ); ?> <a href="https://i4.streams.ovh:8352/index.html?sid=1">https://i4.streams.ovh:8352/index.html?sid=1</a>)
            </p>
        </td>
    </tr>

    <!-- enable popup -->
    <tr class="popup ">
        <th scope="row">
            <label for="popup"><?php esc_html_e( 'Enable Popup :', 'wp-radio' ); ?></label>
        </th>
        <td>

            <div class="checkbox">
                <input type="checkbox" name="popup" id="popup" value="yes" <?php checked( 'yes', $popup ); ?>/>
                <div>
                    <label for="popup"></label>
                </div>
            </div>

            <p class="description">
				<?php _e( 'Enable/ disable popup player for this station.', 'wp-radio' ); ?>
            </p>
        </td>
    </tr>

    <!--  slogan -->
    <tr>
        <th scope="row">
            <label for="slogan"><?php esc_html_e( 'Slogan :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="slogan" type="text" id="slogan" value="<?php echo $slogan; ?>"
                   class="regular-text ltr">
            <p class="description">
				<?php _e( 'Enter the station slogan.', 'wp-radio' ) ?>
            </p>
        </td>
    </tr>

    <!-- station logo-->
    <tr>
        <th scope="row">
            <label for="logo"><?php esc_html_e( 'Station Logo :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <div class="logo-metabox">
                <div class="logo-metabox-actions">
                    <input type="text" id="logo" name="logo" value="<?php echo esc_url( $logo ); ?>"
                           placeholder="<?php _e( 'Enter the image url or select an image by clicking the plus icon.',
						       'wp-radio' ); ?>">
                    <a href="#" class="button button-primary select_img"><i
                                class="dashicons dashicons-plus-alt"></i></a>
                    <a href="#" class="button button-link-delete delete_img <?php echo ! empty( $logo ) ? ''
						: 'hidden'; ?> "><i class="dashicons dashicons-trash"></i></a>
                </div>

                <img src="<?php echo esc_url( $logo ); ?>" class="logo-metabox-preview">

            </div>
            <p class="description">
				<?php _e( 'Enter the live stream URL of the radio station.', 'wp-radio' ) ?>
            </p>
        </td>
    </tr>

    <!-- Featured Channel switcher -->
    <tr class="featured_station ">
        <th scope="row">
            <label for="featured"><?php esc_html_e( 'Featured Station :', 'wp-radio' ); ?></label>
        </th>
        <td>

            <div class="checkbox">
                <input type="checkbox" name="featured" id="featured" value="yes" <?php checked( 'yes',
					$featured ); ?>/>
                <div>
                    <label for="featured"></label>
                </div>
            </div>

            <p class="description">
				<?php _e( 'Turn ON, to featured this station. Get the featured stations by using <code>[wp_radio_featured]</code> shortcode.',
					'wp-radio' ); ?>
            </p>
        </td>
    </tr>

    </tbody>
</table>

<!--------------- Reference -------------->
<table class="form-table">
    <thead>
    <tr>
        <th><?php esc_html_e( 'Station Reference', 'wp-radio' ); ?></th>
    </tr>
    </thead>


    <tbody>

    <!-- Station Website-->
    <tr>
        <th scope="row">
            <label for="website"><?php esc_html_e( 'Station Website :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="website" type="text" id="website" value="<?php echo esc_url( $website ); ?>"
                   class="regular-text ltr">
            <p class="description"><?php _e( 'Enter the website url of the station.', 'wp-radio' ); ?></p>
        </td>
    </tr>

    <!-- Station Facebook Page -->
    <tr>
        <th scope="row">
            <label for="facebook"><?php esc_html_e( 'Facebook Page :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="facebook" type="text" id="facebook" value="<?php echo esc_url( $facebook ); ?>"
                   class="regular-text ltr">
            <p class="description"><?php _e( 'Enter the facebook page url of the station.', 'wp-radio' ); ?></p>
        </td>
    </tr>

    <!-- Station  Twitter URL -->
    <tr>
        <th scope="row">
            <label for="twitter"><?php esc_html_e( 'Twitter Link :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="twitter" type="text" id="twitter" value="<?php echo esc_url( $twitter ); ?>"
                   class="regular-text ltr">
            <p class="description"><?php _e( 'Enter the twitter url of the station.', 'wp-radio' ); ?></p>
        </td>
    </tr>


    <!-- Station  Wikipedia URL -->
    <tr>
        <th scope="row">
            <label for="wikipedia"><?php esc_html_e( 'Wikipedia Link :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="wikipedia" type="text" id="wikipedia" value="<?php echo esc_url( $wikipedia ); ?>"
                   class="regular-text ltr">
            <p class="description"><?php _e( 'Enter the wikipedia url of the station.', 'wp-radio' ); ?></p>
        </td>
    </tr>


    </tbody>
</table>

<!--------------- Contacts -------------->
<table class="form-table">
    <thead>
    <tr>
        <th><?php esc_html_e( 'Contacts', 'wp-radio' ); ?></th>
    </tr>
    </thead>

    <tbody>
    <!-- Station  Address -->
    <tr>
        <th scope="row">
            <label for="address"><?php esc_html_e( ' Address :', 'wp-radio' ); ?></label>
        </th>
        <td>
                <textarea name="address" id="" cols="30" rows="5"
                          class="regular-text ltr"><?php echo trim( str_replace( 'Address :',
		                '',
		                $address ) ); ?></textarea>
            <p class="description"><?php _e( 'Enter the contact address of the station.', 'wp-radio' ); ?></p>
        </td>
    </tr>

    <!-- Station  Email -->
    <tr>
        <th scope="row">
            <label for="email"><?php esc_html_e( ' Email :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="email" type="text" id="email" value="<?php echo trim( str_replace( 'Email :',
				'',
				$email ) ); ?>" class="regular-text ltr">
            <p class="description"><?php _e( 'Enter the Contact address of the Radio station.',
					'wp-radio' ); ?></p>
        </td>
    </tr>

    <!-- Station  Phone -->
    <tr>
        <th scope="row">
            <label for="phone"><?php esc_html_e( ' Phone Number :', 'wp-radio' ); ?></label>
        </th>
        <td>
            <input name="phone" type="text" id="phone" value="<?php echo trim( str_replace( 'Phone :',
				'',
				$phone ) ); ?>" class="regular-text ltr">
            <p class="description"><?php _e( 'Enter the contact phone number of the station.',
					'wp-radio' ); ?></p>
        </td>
    </tr>

    </tbody>
</table>