<?php

defined( 'ABSPATH' ) || exit();

/**
 * Class Ajax
 *
 * Handle all Ajax requests
 *
 * @since 1.0.0
 *
 * @package Prince\WP_Radio
 */
class WP_Radio_Ajax {
	private static $instance = null;

	public function __construct() {

		//station search
		add_action( 'wp_ajax_search_station_search', array( $this, 'search_station_search' ) );
		add_action( 'wp_ajax_nopriv_search_station_search', array( $this, 'search_station_search' ) );


	}

	/**
	 * search station
	 */
	public function search_station_search() {

		$term = ! empty( $_REQUEST['term']['term'] ) ? wp_unslash( $_REQUEST['term']['term'] ) : '';
		$type = ! empty( $_REQUEST['type'] ) ? wp_unslash( $_REQUEST['type'] ) : '';

		$data[] = [ 'id' => 0, 'text' => __( 'No Station Found', 'wp-radio' ) ];

		$stations = wp_radio_get_stations( [ 's' => $term ] );

		if ( ! empty( $term ) ) {
			if ( ! empty( $stations ) ) {
				$data = [];
				foreach ( $stations as $station ) {

					$item = [];

					if ( 'widget' == $type ) {
						$item['id'] = $station->ID;
					} else {
						$item['id'] = $station->post_title;
					}

					$item['text'] = $station->post_title;

					$item['location'] = wp_radio_location_html( $station->ID, true );

					$item['image'] = wp_radio_get_meta( $station->ID, 'logo', WP_RADIO_ASSETS . '/images/placeholder.jpg' );
					$item['link']  = get_the_permalink( $station->ID );

					$data[] = $item;
				}
			}
		}

		echo json_encode( $data );
		die();

	}


	public static function instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}

}

WP_Radio_Ajax::instance();