<?php

defined( 'ABSPATH' ) || exit;

if ( ! class_exists( 'WP_Radio_Rest_Api' ) ) {
	class WP_Radio_Rest_Api {
		/** @var null */
		private static $instance = null;

		/**
		 * WP_Radio_Rest_Api constructor.
		 */
		public function __construct() {
			add_action( 'rest_api_init', [ $this, 'register_api' ] );
		}

		public function register_api() {
			$controller = WP_Radio_Rest_Api_Controller::instance();

			$controller->register_routes();
		}

		/**
		 * @return WP_Radio_Rest_Api|null
		 */
		public static function instance() {
			if ( is_null( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}
	}

}

WP_Radio_Rest_Api::instance();