<?php

defined( 'ABSPATH' ) || exit;
if ( !class_exists( 'WP_Radio_Shortcode' ) ) {
    class WP_Radio_Shortcode
    {
        private static  $instance = null ;
        /* constructor */
        public function __construct()
        {
            add_shortcode( 'wp_radio_listing', array( $this, 'listing' ) );
            add_shortcode( 'wp_radio_station', array( $this, 'station' ) );
            add_shortcode( 'wp_radio_player', array( $this, 'player' ) );
        }
        
        public function station( $atts )
        {
            $atts = shortcode_atts( array(
                'id' => '',
            ), $atts );
            $items = json_encode( [ wp_radio_get_station_data( $atts['id'] ) ] );
            ob_start();
            ?>
            <div class="wp-radio-station-container" data-items='<?php 
            echo  $items ;
            ?>'></div>
			<?php 
            return ob_get_clean();
        }
        
        public function listing( $atts )
        {
            $atts = shortcode_atts( array(
                'country' => '',
                'genre'   => '',
                'col'     => 4,
            ), $atts );
            ob_start();
            wp_radio_get_template( 'listing', [
                'shortcode_args' => $atts,
            ] );
            return ob_get_clean();
        }
        
        public function player( $atts )
        {
            $atts = shortcode_atts( array(
                'id'          => '',
                'player_type' => 'shortcode',
            ), $atts );
            ob_start();
            wp_radio_get_template( 'player', $atts );
            return ob_get_clean();
        }
        
        public function featured( $atts )
        {
            $atts = shortcode_atts( array(
                'count'   => 30,
                'country' => '',
            ), $atts );
            ob_start();
            wp_radio_get_template( 'shortcode-featured', $atts );
            return ob_get_clean();
        }
        
        public function trending( $atts )
        {
            $atts = shortcode_atts( array(
                'count'   => 30,
                'country' => '',
            ), $atts );
            ob_start();
            wp_radio_get_template( 'shortcode-trending', $atts );
            return ob_get_clean();
        }
        
        public function country_list( $atts )
        {
            $atts = shortcode_atts( array(
                'shortcode' => true,
            ), $atts );
            ob_start();
            wp_radio_get_template( 'sidebar', $atts );
            return ob_get_clean();
        }
        
        public static function instance()
        {
            if ( is_null( self::$instance ) ) {
                self::$instance = new self();
            }
            return self::$instance;
        }
    
    }
}
WP_Radio_Shortcode::instance();