<?php

/* Block Direct Access */
defined( 'ABSPATH' ) || exit();

/** player-type */
$is_fixed     = 'full-width' == $player_type;
$is_popup     = 'popup' == $player_type;
$is_shortcode = in_array( $player_type, [ 'shortcode', 'popup' ] );

//initialize values
$stream = [
	'id'        => ! empty( $id ) ? $id : '',
	'stream'    => '',
	'title'     => '',
	'permalink' => '#',
	'logo'      => WP_RADIO_ASSETS . '/images/placeholder.jpg',
];

//Type fixed player attributes
if ( $is_fixed ) {
	$is_hidden = 'on' == wp_radio_get_settings( 'hide_player', '', 'wp_radio_player_settings' ) || ( ! empty( $_GET['player'] ) && sanitize_key( $_GET['player'] ) == 'popup' );
}

//Type shortcode player attributes
if ( $is_shortcode ) {

	if ( empty( $id ) || ! get_post( $id ) ) {
		global $wp_radio_args;

		$wp_radio_args = [ 'posts_per_page' => 1 ];
		$stations      = wp_radio_get_stations_by_country();
		if ( ! empty( $stations ) ) {
			$id = $stations[0]->ID;
		}
	}

	$stream = wp_radio_get_stream_data( $id );
}

?>

<div class="wp-radio-player-container" data-type="<?php echo $player_type; ?>" data-stream='<?php echo json_encode( $stream ); ?>'></div>