<?php
/* Block direct access */
defined( 'ABSPATH' ) || exit();

include_once WP_RADIO_INCLUDES . '/class-statistics.php';

$country_term = get_term_by( 'slug', strtolower( $country ), 'radio_country' );

$args = [
	'start_date' => date( 'Y-m-d', strtotime( '-1 month' ) ),
	'end_date'   => date( 'Y-m-d', strtotime( 'tomorrow' ) ),
	'per_page'   => $count,
];

if ( ! empty( $country_term ) ) {
	$args['where'] = " AND station_country_id = $country_term->term_id";
}

$obj = WP_Radio_Statistics::instance( $args );

$stations = $obj->get_top_stations();

$from_posts = false;
if ( empty( $stations ) ) {
	$args = array(
		'post_type'   => 'wp_radio',
		'numberposts' => $count,
		'order'       => 'DESC',
		'orderby'     => 'ID',
	);

	if ( ! empty( $country ) ) {
		$args['tax_query'] = array(
			'relation' => 'AND',
			array(
				'taxonomy' => 'radio_country',
				'field'    => 'slug',
				'terms'    => $country,
			)
		);
	}

	$stations = get_posts( $args );

	$from_posts = true;
}

$items = [];

if ( ! empty( $stations ) ) {
	foreach ( $stations as $station ) {
		$post_id = $from_posts ? $station->ID : $station->station_id;

		$items[] = wp_radio_get_station_data( $post_id );
	}
}

?>

<div class="wp-radio-page-title archive-title">
    <h1 class="entry-title" itemProp="headline">
	    <?php esc_html_e('Trending Radio Stations', 'wp-radio'); ?>
    </h1>
</div>

<div class="wp-radio-trending-container"
     data-items='<?php echo  json_encode( $items ); ?>'
></div>
