<?php
/* Block direct access */
defined( 'ABSPATH' ) || exit;

$countries = get_terms( [ 'taxonomy' => 'radio_country', 'parent' => 0 ] );


?>

<div class="sidebar-toggle">
    <span class="dashicons dashicons-menu-alt"></span> <?php _e( 'Countries', 'wp-radio' ); ?>
</div>

<div class="wp-radio-sidebar <?php echo isset( $shortcode ) ? 'shortcode' : ''; ?>">

    <div class="sidebar-header <?php echo ! empty( $_REQUEST['keyword'] ) ? 'search' : ''; ?>">
        <div class="title"><?php _e( 'Countries', 'wp-radio' ); ?></div>
    </div>

	<?php if ( ! empty( $countries ) ) { ?>
        <div class="country-search-wrap">
            <i class="dashicons dashicons-search"></i>
            <input class="country-search" placeholder="<?php _e( 'Search country', 'wp-radio' ); ?>" type="text"
                   data-list=".sidebar-listing">
        </div>

        <ul class="sidebar-listing">
			<?php
			$i = 0;

			foreach ( $countries as $country ) {

				if ( $i < 10 ) {
					$image = wp_radio_get_country_flag( $country->slug, 16 );
				} else {
					$image = wp_radio_get_country_flag( $country->slug, 16, true );
				}

				printf( '<li %s >  <a href="%s">%s %s</a></li>', ! empty( $active ) && $country->slug == $active ? 'class="active"' : '',
					get_term_link( $country->term_id ), $image, $country->name );

				$i ++;

			}//End of the loop
			?>
        </ul>

	<?php } else {
		printf( __( '<p class="no-country">No country added yet.</p>', 'wp-radio' ) );
	} ?>

</div>